require 'spec_helper'

describe 'Serializers' do
  let(:serializer_classes){ Dir.glob(Rails.root.join('app/serializers/*_serializer.rb')).map{|f| File.basename(f).sub(/\.rb$/,'').classify.constantize}}
  describe 'classes' do
    it 'inherits from Qwaiter::Serializer' do
      serializer_classes.each do |serializer|
        serializer.ancestors.should include Qwaiter::Serializer
      end
    end
  end
end
